org.appng.taglib.search

## Class SearchPart

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.servlet.jsp.tagext.BodyTagSupport
    - - org.appng.taglib.search.SearchPart

- All Implemented Interfaces:
    Serializable, Cloneable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, ParameterOwner

      public class SearchPart
      extends javax.servlet.jsp.tagext.BodyTagSupport
      implements ParameterOwner, Cloneable

  A `SearchPart` offers the search results produced by a `SearchProvider` of an `Application`.

  Attributes (defaults in brackets):
  - application - the `Application` that offers the `SearchProvider`
  - method - the bean name of the `SearchProvider` within the application
  - analyzerClass - the fully qualified name of the `Analyzer` to use for searching
  - fields - a comma-separated list of fields to search in
  - title - the title of this search part
  - language - the two-letter language code for the search

  Usage:

       <appNG:searchPart application="acme-products" method="productSearchProvider" language="en"
        title="acme Products" fields="title,contents" analyzerClass="org.apache.lucene.analysis.en.EnglishAnalyzer">
          <appNG:param name="foo">bar</appNG:param>
          <appNG:param name="jin">fizz</appNG:param>
          </appNG:searchPart>

  Author:
    Matthias Müller
  See Also:
    `SearchProvider`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

      `bodyContent`

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `id, pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchPart()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParameter(String name, String value)`
    `protected SearchPart` | `clone()`
    `int` | `doEndTag()`
    `org.apache.lucene.analysis.Analyzer` | `getAnalyzer()`
    `String` | `getAnalyzerClass()`
    `String` | `getApplication()`
    `String` | `getFields()`
    `String` | `getLanguage()`
    `String` | `getMethod()`
    `Map<String,String>` | `getParameters()`
    `String` | `getTitle()`
    `void` | `setAnalyzerClass(String analyzerClass)`
    `void` | `setApplication(String application)`
    `void` | `setFields(String fields)`
    `void` | `setLanguage(String language)`
    `void` | `setMethod(String method)`
    `void` | `setTitle(String title)`
    `String` | `toString()`

    - ### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

      `doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, release, setBodyContent`

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### SearchPart

          public SearchPart()

  - ### Method Detail

    - #### doEndTag

          public int doEndTag()
                       throws javax.servlet.jsp.JspException

      Specified by:
        `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### addParameter

          public void addParameter(String name,
                                   String value)

      Specified by:
        `addParameter` in interface `ParameterOwner`

    - #### getApplication

          public String getApplication()

    - #### setApplication

          public void setApplication(String application)

    - #### getMethod

          public String getMethod()

    - #### setMethod

          public void setMethod(String method)

    - #### getFields

          public String getFields()

    - #### setFields

          public void setFields(String fields)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle(String title)

    - #### getLanguage

          public String getLanguage()

    - #### setLanguage

          public void setLanguage(String language)

    - #### getAnalyzerClass

          public String getAnalyzerClass()

    - #### setAnalyzerClass

          public void setAnalyzerClass(String analyzerClass)

    - #### getAnalyzer

          public org.apache.lucene.analysis.Analyzer getAnalyzer()
                                                          throws ReflectiveOperationException

      Throws:
        `ReflectiveOperationException`

    - #### clone

          protected SearchPart clone()

      Overrides:
        `clone` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getParameters

          public Map<String,String> getParameters()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.